Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.tobytes

method

ma.masked_array.tobytes(fill_value=None, order='C')

  Return the array data as a string containing the raw bytes in the array.

  The array is filled with a fill value before the string conversion.

  Parameters:
    fill_value scalar, optional

      Value used to fill in the masked values. Default is None, in which case MaskedArray.fill_value is used.

    order{‘C’,’F’,’A’}, optional

      Order of the data item in the copy. Default is ‘C’.

      - ‘C’ – C order (row major).

      - ‘F’ – Fortran order (column major).

      - ‘A’ – Any, current order of array.

      - None – Same as ‘A’.

  See also

  `numpy.ndarray.tobytes`
  `tolist`, `tofile`

  Notes

  As for `ndarray.tobytes`, information about the shape, dtype, etc., but also about `fill_value`, will be lost.

  Examples

      >>> import numpy as np
      >>> x = np.ma.array(np.array([[1, 2], [3, 4]]), mask=[[0, 1], [1, 0]])
      >>> x.tobytes()
      b'\x01\x00\x00\x00\x00\x00\x00\x00?B\x0f\x00\x00\x00\x00\x00?B\x0f\x00\x00\x00\x00\x00\x04\x00\x00\x00\x00\x00\x00\x00'